Author Topic: Can't get to the installation screen  (Read 230 times)

Offline Evergrowing

  • Newbie
  • *
  • Posts: 12
  • Karma: +0/-0
    • View Profile
Can't get to the installation screen
« on: September 18, 2019, 12:38:19 PM »
I tried to install AbanteCart on a rather old virtual Kali Linux. When I open my browser to install AC, I get the message "simpleXML functions are not available".
So I tried to install several php7.0 packets (mbstring, zip, xml). But I only get the error "couldn't find any package by glob/regex" for all 3 of them. Not even sure whether this is the right approach, just found it somewhere on StackOverflow.
What do I need to do to pass this error? Thank you

CTGO.co

  • Guest
Re: Can't get to the installation screen
« Reply #1 on: September 18, 2019, 11:29:20 PM »
Hi!

Check if next Extensions blocks active or not on php version: xmlreader, xmlrpc, xmlwriter. They should be active.

good luck

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4394
  • Karma: +205/-0
    • View Profile
Re: Can't get to the installation screen
« Reply #2 on: September 19, 2019, 01:29:19 AM »
Do not forget to restart your server when you add new php extensions
“Chuck Norris is so amazing.”
― Mother Teresa

Offline Evergrowing

  • Newbie
  • *
  • Posts: 12
  • Karma: +0/-0
    • View Profile
Re: Can't get to the installation screen
« Reply #3 on: September 20, 2019, 02:14:00 PM »
Check if next Extensions blocks active or not on php version: xmlreader, xmlrpc, xmlwriter. They should be active.

I dont understand what you mean, can you clarify please?

CTGO.co

  • Guest
Re: Can't get to the installation screen
« Reply #4 on: September 21, 2019, 11:52:25 AM »
Check if next Extensions blocks active or not on php version: xmlreader, xmlrpc, xmlwriter. They should be active.

I dont understand what you mean, can you clarify please?

you need to activate those Extensions on your php version.

Offline Evergrowing

  • Newbie
  • *
  • Posts: 12
  • Karma: +0/-0
    • View Profile
Re: Can't get to the installation screen
« Reply #5 on: September 22, 2019, 07:56:55 AM »
root@kali: phpenmod mbstring
WARNING: Module mbstring ini file doesn't exist under /etc/php/7.0/mods-available

apt install php7.0-mbstring php7.0-zip php7.0-xml
see error above. I read here
stackoverflow dot com /questions/49570107/how-to-install-php7-0-mbstring-in-ubuntu-17-04
that this version is not supported anymore? Not sure if this is only for another OS though.
This all seems very weird to me.

 

Powered by SMFPacks Social Login Mod